﻿using Syncfusion.Windows.PropertyGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PropertyGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            propertygrid.HidePropertiesCollection.Add("Name");
            propertygrid.RefreshPropertygrid();
        }
    }
    
    public class Person
    {
        public Person()
        {
            Name = "Syncfusion";
            Age = 10;
            Mobile = 1234567890;
            Area = "Chennai";   
        }
        public string Name
        {
            get;
            set;
        }
       
        public int Age
        {
            get;
            set;
        }

        [ReadOnly(true)]
        public long Mobile
        {
            get;
            set;
        }

        [ReadOnly(true)]
        public string Area
        {
            set;
            get;
        }
    }
}
